%% Hliníkový nosník (50x10-500) mm MĚŘENÍ 06
 % Na spodní straně volného konce nosníku přivařeno ocelové závaží s rozměry 
 % (délka x šířka x tloušťka) 80 x 50 x 10 mm
close all;
clear all;
clc;
%% PARAMETRY (MODEL)
L=0.5;                        % Délka [m]
T=0.05;                       % Šířka [m]
W=0.01;                       % Tloušťka [m]
rho1=2700;                    % Hustota materiálu [kg/m^3] Al: 2700
rho2=7870;                    %                          Ocel: 7870
m1=rho1*L*T*W;                % Hmotnost nosníku [kg]
m2=rho2*W*T*0.08;             % V případě hliníkového nosníku se závažím na konci
meff=(33/140)*m1+m2;          % Výpočet efektivní hmotnosti nosníku
E=7*10^10;                    % Modul pružnosti
S=2*T*W;                      % Plocha průřezu
J=T*W^3/12;                   % Kvadratický moment průřezu
k=(3*J*E)/L^3;                % Teoretická tuhost nosníku
om=sqrt(k/meff);              % Vlastní úhlová frekvence
frekvence=om/(2*pi);          % Vlastní frekvence nosníku
y0d=0;                        % Počáteční rychlost
%% EXPERIMENT
load Mereni6.mat              % Načtení naměřených dat
om0=2*pi*19.89;               % Vlastní úhlová frekvence zjištěná pomocí FFT
br11=0.0011;                  % Poměrný útlum prvního intervalu
br12=0.0008;                  % Poměrný útlum druhého intervalu
y01=4;                        % Amplituda výchylky pro první interval
y02=3.2;                      % Amplituda výchylky pro druhý interval
om11=om0.*sqrt(1-br11^2);     % Úhlová rychlost prvního intervalu
om12=om0.*sqrt(1-br12^2);     % Úhlová rychlost druhého intervalu
delta11=br11*om11;            % Součinitel doznívání prvního intervalu
delta12=br12*om12;            % Součinitel doznívání druhého intervalu
C11=sqrt(y01.^2+((br11*om11*y01+y0d)/om11).^2);
C12=sqrt(y02.^2+((br12*om12*y02+y0d)/om12).^2);
y=C11.*exp(-br11*om0*t).*sin(om11*t);          % Pohyb. rce
tlumeni11=C11.*exp(-br11*om0*t);               % Rce tlumení prvního intervalu
tlumeni12=C12.*exp(-br12*om0*t);               % Rce tlumení druhého intervalu
plot(t,a61,'Color',[0.6 0.6 0.6])              % Vykreslení průběhu experimentu
xlim([0 27.1])
hold on
title('Zrychlení na volném konci nosníku')
xlabel('t [s]')
ylabel('a [g]')
%plot(t,y,'b')                        % Vykreslení kmitání matematického modelu (DEFAULTNĚ POTLAČENO)
plot(t,tlumeni11,'r','linewidth',2)   % Vykreslení první části obálky (tlumení)
plot(t,tlumeni12,'r','linewidth',2)   % Vykreslení první části obálky (tlumení)
legend('Průběh zrychlení - EXPERIMENT','Poměrný útlum (obálka) - MODEL')
grid on